body.no-scroll {
    overflow: hidden;
    height: 100%;

}


.site-title {
    font-size: var(--fs-md);
}

.site-header {
    /*display*/
    background-color: #fefefe;
    /*Position*/
    position: sticky;
    top: 0;
    z-index: var(--z-sticky);

}

.scrolled {
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.08);
    border-bottom: 1px solid #eee;
}

.header-container {
    height: 6.25rem;
    /*Layout*/
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.site-branding img {
    width: clamp(12.875rem, 8.68vw + 10.84rem, 16.5rem);
}

/*
Icone menu hamburger
*/
.menu-toggle {
    background: none;
    border: none;
    cursor: pointer;
    /*Layout*/
    display: flex;
    flex-direction: column;
    gap: 0.375rem;
    z-index: var(--z-modal);
}

.menu-toggle span {
    /*Box model*/
    width: 1.75rem;
    height: 0.20rem;
    /*Layout*/
    background-color: var(--primary-color);
    display: block;
    /*animation*/
    transition: all 0.3s ease;
}

.menu-toggle.is-active span:nth-child(1) {
    transform: translateY(9px) rotate(45deg);
}

.menu-toggle.is-active span:nth-child(2) {
    opacity: 0;
}

.menu-toggle.is-active span:nth-child(3) {
    transform: translateY(-9px) rotate(-45deg);
}

/**************************************************/
.main-navigation {
    /*box model*/
    width: 90vw;
    height: 100vh;
    max-width: 18.75rem;
    padding: 6rem 1.5rem;
    background-color: #ffffff;
    box-shadow: -5px 0 15px rgba(0, 0, 0, 0.1);
    /* Positionnement */
    position: fixed;
    top: 0;
    right: 0;
    /* Effet de glisse : caché par défaut à droite */
    transform: translateX(100%);
    transition: transform 0.3s ease-in-out;

    ul {
        display: flex;
        flex-direction: column;
        gap: 1.875rem;
        font-size: 1.05rem;
    }

    a {
        color: var(--text-color);

        &:hover {
            color: #9A7F67;
        }
    }

}

.is-active-page {
    a {
        color: #9A7F67!important;
    }
}

.main-navigation.is-open {
    transform: translateX(0);
    box-shadow: 0 0 0 100vw rgba(0, 0, 0, 0.75);
}


@media (min-width: 1085px) {
    body.no-scroll {
        overflow: auto;
        height: auto;

    }

    .menu-toggle {
        display: none;
    }

    .main-navigation {
        display: flex;
        padding: 0;
        width: fit-content;
        max-width: fit-content;
        height: fit-content;
        background-color: transparent;
        position: static;
        box-shadow: none;
        /* annuler l'effet de glisse droite vers gauche */
        transform: none;

    }

    .main-navigation ul {

        flex-direction: row;
        flex-wrap: wrap;

    }

    .main-navigation ul li::after {
        content: '';
        position: absolute;
        height: 0.125rem;
        bottom: 0;
        left: 50%;
        width: 0;
        transform: translateX(-50%);
        background: #9A7F67;
        transition: width .4s;

    }

    .main-navigation ul li:hover::after, .main-navigation ul li.is-active-page::after {
        width: 100%;
    }

    .main-navigation ul li.is-active-page::after {
        transition: none !important;
    }

    .main-navigation.is-open {
        box-shadow: none;
    }

    .is-active-page {
        a {
            color: #9A7F67;
        }

    }

}